import { FC } from 'react';
export interface HighlighterProps {
    /** 原文本 */
    textToHighlight: string;
    /** 高亮class名称 */
    activeClasses: Array<string>;
    /** 待高亮的词 */
    words: Array<Array<string> | string>;
    /** 大小写铭感 */
    caseSensitive?: boolean;
    /** 特殊符号处理 */
    autoEscape?: boolean;
    /** 公共class */
    commonClass?: string;
}
declare type Highlighter<T> = FC<T>;
export default Highlighter;
